/* 
 * HM Pro Main Stylesheet
 * 
 * This file contains all the main styles for the HM Pro theme 
 * for Desktop Version
 */
/*--------------------------------------------------------------
# Normalize
--------------------------------------------------------------*/
*{
	margin: 0px;
	padding: 0px;
}
html {
	scroll-behavior: smooth;
}
a:focus,
a:-webkit-any-link:focus-visible,
.pp-video-play-icon:focus{
	outline: 0px solid #000 !important;
}
h1, h2, h3, h4, h5, h6,
.pp-dual-heading-block.elementor-widget-pp-dual-heading .pp-dual-heading,
.elementor-element.elementor-widget-text-editor p,
.woocommerce-js h2,
.entry-content :where(h1,h2,h3,h4,h5,h6),
.single.ast-page-builder-template .entry-header + .entry-content, 
.single.ast-page-builder-template .ast-single-entry-banner + .site-content article .entry-content{
	margin-bottom: 0px;
}
input, button{
	outline: none !important;
	box-shadow: none !important;
}
ul, ol{
	list-style: none;
	margin: 0px;
	padding: 0px;
}
::selection {
	background: #ED1C24;
	color: #fff;
}
::-moz-selection {
	background: #ED1C24;
	color: #fff;
}
.h-100{
	height: 100%;
}
.mb-0{
	margin-bottom: 0px !important;
}
#primary .entry-header,
#primary .entry-header .entry-title{
	display: none !important;
}
#primary,
.ast-plain-container.ast-no-sidebar #primary{
	margin-top: 0px !important;
	margin-bottom: 0px !important;
}
.ast-separate-container{
	background-color: #fff;
}
.ast-container,
.ast-woo-shop-archive .site-content > .ast-container{
	padding: 0px;
	max-width: 100%;
}
.ast-separate-container #primary, 
.ast-separate-container.ast-left-sidebar #primary, 
.ast-separate-container.ast-right-sidebar #primary,
.error404.ast-separate-container #primary{
	margin-top: 0px;
	margin-bottom: 0px;
}
.ast-narrow-container .site-content > .ast-container{
	max-width: 100%;
}
.ast-separate-container .ast-container .ast-article-single{
	padding: 0px !important;
	background: none;
}
/** Back to top button **/
.eael-ext-scroll-to-top-wrap .eael-ext-scroll-to-top-button{
	transition: all 0.35s ease;
}
.eael-ext-scroll-to-top-wrap:hover .eael-ext-scroll-to-top-button{
	background-color: #000;
}
/*--------------------------------------------------------------
# Common Classes
--------------------------------------------------------------*/

/*--------------------------------------------------------------
# Header
--------------------------------------------------------------*/